//
//   $Id: DV.H 1.4 2002/10/15 20:06:44Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/

#define DV_MONOBASE 0xB000
#define DV_COLORBASE 0xB800
#define DV_MAXCOL 132

extern	unsigned	dv_base;
extern	unsigned	dv_row;
extern	unsigned	dv_col;
extern	unsigned	dv_rows;
extern	unsigned	dv_cols;
extern	unsigned dv_ega;
extern	unsigned	dv_mode;
extern	unsigned dv_curattr;
extern	unsigned	dv_curtype;


/* File dv.c */
void	dv_open(void);
void	dv_goto(unsigned row,unsigned col);
void	dv_getcursor(int *row,int *col);
void	dv_move(unsigned row,unsigned col);
void	dv_attr(int attr);
void	dv_putc(unsigned char c);
void	dv_textputs(unsigned char *s);
void	dv_putsn(unsigned char *s,int len);
void	dv_puts(unsigned char *s);
void	dv_cls(void);
void	dv_clear(int top,int numrows);
void	dv_blank(int len);
void	dv_eeol(void);
void	dv_gettext(int left,int top,int right,int bottom,unsigned char *buffer);
void	dv_getblock(unsigned *buffer,int top,int numr,int left,int numc);
void	dv_puttext(int left,int top,int right,int bottom,unsigned char *buffer);
void	dv_putblock(unsigned *buffer,int top,int numr,int left,int numc);
void	dv_write(int row,int col,int len,unsigned *text);
void	dv_scrollup(int top,int wsize,int numrows);
void	dv_scrolldn(int top,int wsize,int numrows);
void	dv_flush(void);
void	dv_close(void);
int	dv_morelines(void);
int	dv_25lines(void);
int	dv_getc(void);
int	dv_getkey(void);
int PollDosForKey(void);
int	dv_pollkey(void);
void	dv_setcurtype(unsigned type);

/* File dvscroll.c */
void	dv_rec_scrollup(int top,int numr,int left,int numc);
void	dv_rec_scrolldn(int top,int numr,int left,int numc);
void	dv_rec_cls(int top,int numr,int left,int numc);
