//
//   $Id: VIDTEST.CPP 1.2 2002/10/15 20:43:38Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-1997 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/
#include <conio.h>
#include <dos.h>
#include <stdio.h>

char * fontName[] =
{
	"INT 1F  ",
	"INT 43  ",
	"ROM 8x14",
	"ROM 8x8a",
	"ROM 8x8b",
	"ROM 9x14",
	"ROM 8x16",
	"ROM 9x16",
	0
};

void	Set400ScanLines(void)
{
	union REGS r;

	r.h.ah = 0x12;
	r.h.al = 2;
	r.h.bl = 0x30;
	int86(0x10, &r, &r);
}

void	SetFont8x8(void)
{
	union REGS r;

	r.x.ax = 0x1112;
	r.h.bl = 0;
	int86(0x10, &r, &r);
}

void	ShowFontInfo(int num)
{
	union REGS r;
	struct SREGS sr;

	r.x.ax = 0x1130;
	r.h.bh = num;
	int86x(0x10, &r, &r, &sr);

	printf("%s: %2u %2u %04X:????\n",
		fontName[num], r.x.cx, r.h.dl, sr.es);
}

void	ShowAllFontInfos(void)
{
	for (int i=0; i < 8; ++i)
		ShowFontInfo(i);
}

void	SetMode(int num)
{
	union REGS r;
	struct SREGS sr;

	r.x.ax = num;
	int86x(0x10, &r, &r, &sr);

	printf("\n\nMode %u\n", num);
}

void main()
{
	int i;

#if 0
	ShowAllFontInfos();
	for (i=0; i < 10; ++i)
	{
		SetMode(i);
		ShowAllFontInfos();
	}
	for (i=13; i < 20; ++i)
	{
		SetMode(i);
		ShowAllFontInfos();
	}

	printf("============================\n");
	ShowAllFontInfos();
	for (i=0; i < 10; ++i)
	{
		SetMode(i);
		SetFont8x8();
		ShowAllFontInfos();
	}
	for (i=13; i < 20; ++i)
	{
		SetMode(i);
		SetFont8x8();
		ShowAllFontInfos();
	}

	printf("============================\n");
	ShowAllFontInfos();
	for (i=0; i < 10; ++i)
	{
		SetFont8x8();
		SetMode(i);
		SetFont8x8();
		ShowAllFontInfos();
		getch();
	}
	for (i=13; i < 20; ++i)
	{
		SetFont8x8();
		SetMode(i);
		SetFont8x8();
		ShowAllFontInfos();
		getch();
	}
#endif


	SetFont8x8();
	SetMode(3);
	ShowAllFontInfos();
}
