//
//   $Id: CZ852.H 1.4 2002/10/15 20:48:06Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/
unsigned char cz852canPrefixList[MAX_CAN_PREFIX] =
" aAeEiIoOuUyYcCdDlLnNrRsStTzZqQ";

Prefix cz852prefixes[] =
{
    //  key,    shift,
//      <space>
//      a       A       e       E       i       I       o       O
//      u       U       y       Y       c       C       d       D
//      l       L       n       N       r       R       s       S
//      t       T       z       Z       q       Q
//
	{0x0D, NORMAL,
		{	239,
			'',		'',		'',		'',		'',		'',		'', 		'',
			'',		'',		'', 		'',		'',		'',		 0,	    0,
			'',		'', 		'',		'',		'',		'',		'', 		'',
			 0,		 0,		'',		'',	 0,	 0
		}
	},
	{0x0D, SHIFT,
		{	'',
			 0,		 0,		'',		'',		 0,		 0,		 0,	    0,
			 0,		 0,		'',		'',		'', 		'',		'', 		'',
			'',		'',		'',		'',		'', 		'',		'', 		'',
			'',		'',		 0,		 0,	 0,	 0
		}
	},
	{0x29, SHIFT,
		{	'',
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			'',		'',	 	 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0

		}
	},
	{121, ALTGR,  // 2
		{	'',
			 0,		 0,	 	'',		'',	 0,		 0,		 0,		 0,
			 0,		 0,	 	'',		'',	'',		'',		'',		'',
			'',		'',	 	'',		'',	'',		'',		'',		'',
			'',		'',	  	 0,		 0,	 0,	 0
		}
	},
	{122, ALTGR, //3
		{	' ',
			'',		'',	 	 0,		 0,		'',		'',		'',	'',
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{123, ALTGR, //4
		{	'',
			'',		'',	 	 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{124,	ALTGR, //5
		{	'',

			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			'',		'',	 	 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{125,	ALTGR, //6
		{	'',
			'',		'',		'',		'',	 	 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{126,	ALTGR, //7
		{	'`',
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0

		}
	},
	{127,	ALTGR, //8
		{	'',
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 '',		'', 	 	 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		 0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{128,	ALTGR, //9
		{	'',
			'',		'',		'',		'',		'',		'',		'', 		'',
			'',		'',		'',		'',		'',		'',	 	 0,		   0,
			'',		'',		'',		'',		'', 		'',		'', 		'',
			 0,		 0,		'',		'',	 0,	 0
		}
	},
	{129,	ALTGR, //0
		{	'',
			 0,		 0,		 0,		 0,		 0,		 0,		'', 		'',
			'',		'',	 	 0,		 0,		 0,		 0,		 0,		   0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		   0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{130,	ALTGR, //-
		{	'',
			'',		'',		'',		'',	 	 0,		 0,		'', 		'',
			'',		'',	 	 0,		 0,		 0,		 0,		 0,		   0,
			 0,		 0,		 0,		 0,		 0,		 0,		 0,		   0,
			 0,		 0,		 0,		 0,	 0,	 0
		}
	},
	{131,	ALTGR, //=
		{	'',

			 0,		 0,		 0,		 0,		 0,		 0,		 0,		   0,
			 0,		 0,		 0,		 0,		'',		'',	 	 0,		   0,
			 0,		 0,		 0,		 0,		 0,		 0,	 	'', 		'',
			'',		'',	 	 0,		 0,	 0,	 0
		}
	},
	{0}
};


NormalKey cz852normalKeys[] =
{
	{0x02, NORMAL,	'+'},
	{0x02, SHIFT,	'1'},
	{0x03, NORMAL,	''},
	{0x03, SHIFT,	'2'},
	{0x04, NORMAL,	''},
	{0x04, SHIFT,	'3'},
	{0x05, NORMAL,	''},
	{0x05, SHIFT,	'4'},
	{0x06, NORMAL,	''},
	{0x06, SHIFT,	'5'},
	{0x07, NORMAL,	''},
	{0x07, SHIFT,	'6'},
	{0x08, NORMAL,	''},
	{0x08, SHIFT,	'7'},
	{0x09, NORMAL,	''},
	{0x09, SHIFT,	'8'},
	{0x0A, NORMAL,	''},
	{0x0A, SHIFT,	'9'},
	{0x0B, NORMAL,	''},
	{0x0B, SHIFT,	'0'},
	{0x0C, NORMAL,	'='},
	{0x0C, SHIFT,	'%'},
	{0x1A, NORMAL,	''},
	{0x1A, SHIFT,	'/'},
	{0x1B, NORMAL,	')'},
	{0x1B, SHIFT,	'('},
	{0x27, NORMAL,	''},
	{0x27, SHIFT,	'"'},
	{0x28, NORMAL,	''},
	{0x28, SHIFT,	'!'},
	{0x29, NORMAL,	';'},
	{0x2B, NORMAL,	''},
	{0x2B, SHIFT,	'`'},
	{0x33, SHIFT,	'?'},
	{0x34, SHIFT,	':'},
	{0x35, NORMAL,	'-'},
	{0x35, SHIFT,	'_'},
	{0x53, SHIFT,	','},
	{0x56, NORMAL,	'&'},
	{0x56, SHIFT,	'*'},
	{0x56, ALTGR,  '<'},
	{2   , ALTGR,  '~'},
	{16  , ALTGR,  '\\'},
	{17  , ALTGR,  '|'},
	{26  , ALTGR,  ''},
	{27  , ALTGR,  ''},
	{31  , ALTGR,  ''},
	{32  , ALTGR,  ''},
	{33  , ALTGR,  '['},
	{34  , ALTGR,  ']'},
	{37  , ALTGR,  ''},
	{38  , ALTGR,  ''},
	{39  , ALTGR,  '$'},
	{40  , ALTGR,  ''},
	{43  , ALTGR,  ''},
	{44  , ALTGR,  '>'},
	{45  , ALTGR,  '#'},
	{47  , ALTGR,  '@'},
	{48  , ALTGR,  '{'},
	{49  , ALTGR,  '}'},
	{0}
};

NormalKey cz852letters[] =
{	{0x15, NORMAL,	'z'},
	{0x15, SHIFT,	'Z'},
	{0x2C, NORMAL,	'y'},
	{0x2C, SHIFT,	'Y'},
	{0}
};

NormalKey cz852numbers[] =
{
    {0}
};

