REM
REM   $Id: emj.bat 1.6 2003/03/20 15:46:50Z thomd Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@echo off
REM
REM  EMJ.BAT
REM
REM  Copyright (c) 2001-2002 Datalight, Inc.
REM  All Rights Reserved.
REM  Datalight Confidential and Proprietary
REM

set bldlog=
if NOT "%buildlog%"=="" goto start
set buildlog=..\build.log
set bldlog=1


:start


REM Create the release tree directory
REM
if exist release\emj\nul deltree /y release\emj
if not exist release\nul md release
md release\emj


rem  copy the files to the EMJ tree from the 71 release tree
rem
cd release\emj
copy ..\71\ANSI.SYS
copy ..\71\ATA.SYS
copy ..\71\ATTRIB.EXE
copy ..\71\BACKUP.EXE
copy ..\71\CHKDSK.EXE
copy ..\71\CHOICE.COM
copy ..\71\COMM.EXE
copy ..\71\COMMAND.COM
copy ..\71\COUNTRY.SYS
copy ..\71\DELTREE.EXE
copy ..\71\dir.txt
copy ..\71\DISK2IMG.EXE
copy ..\71\DISPLAY.SYS
copy ..\71\DUMP.EXE
copy ..\71\EGA.CPI
copy ..\71\EGA3.CPI
copy ..\71\EMM386.EXE
copy ..\71\EXE2BIN.COM
copy ..\71\FDISK.EXE
copy ..\71\FIND.EXE
copy ..\71\FORMAT.COM
copy ..\71\HEXCAT.COM
copy ..\71\HIMEM.SYS
copy ..\71\KEYB.COM
copy ..\71\KEYBOARD.SYS
copy ..\71\KEYBRD2.SYS
copy ..\71\LABEL.EXE
copy ..\71\LONGDIR.EXE
copy ..\71\LONGNAME.TXT
copy ..\71\MEM.EXE
copy ..\71\MODE.COM
copy ..\71\MORE.COM
copy ..\71\MOVE.EXE
copy ..\71\MSCDEX.EXE
copy ..\71\NED.EXE
copy ..\71\NEDMAN.TXT
copy ..\71\NEDREMOT.CFG
copy ..\71\NEDREMOT.COM
copy ..\71\POWER.EXE
copy ..\71\PRINT.EXE
copy ..\71\PROTO.EXE
copy "..\71\DOCS\ROM-DOS User's Guide.pdf"
copy ..\71\REMDISK.EXE
copy ..\71\REMQUIT.COM
copy ..\71\REMSERV.EXE
copy ..\71\RESTORE.EXE
copy ..\71\ROM-DOS.SYS
copy ..\71\ROMDISK.EXE
copy ..\71\RSZ.EXE
copy ..\71\RZ.BAT
copy ..\71\SORT.EXE
copy ..\71\STACKDEV.SYS
copy ..\71\SUBST.EXE
copy ..\71\SYS.COM
copy ..\71\SZ.BAT
copy ..\71\TRANSFER.EXE
copy ..\71\TREE.COM
copy ..\71\UMBLINK.EXE
copy ..\71\VDISK.SYS
copy ..\71\VERSION.SYS
copy ..\71\WX2SWAP.SYS
copy ..\71\XCOPY.EXE
cd ..\..


:done
if "%bldlog%"=="1" set buildlog=
