REM
REM   $Id: enduser.bat 1.2 2002/10/15 18:12:18Z peterb Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@echo off
REM
REM  ENDUSER.BAT
REM
REM  Copyright (c) 2002 Datalight, Inc.
REM  All Rights Reserved.
REM  Datalight Confidential and Proprietary
REM

set bldlog=
if NOT "%buildlog%"=="" goto start
set buildlog=..\build.log
set bldlog=1


:start
@if "%1"=="" set bldlog=err
@if "%1"=="" goto done


REM Create the release tree directory
REM
if exist release\enduser\%1\nul deltree /y release\enduser\%1
if not exist release\nul md release
if not exist release\enduser\nul md release\enduser
md release\enduser\%1


rem  copy the files to the ENDUSER tree from the 71 release tree
rem
call cpyeu.bat release\enduser\%1


REM  Build a Non-LFN kernel
REM
echo Building %1 Non-LFN End User release kernel
cd build
@if exist build.bat del build.bat
@if exist rom-dos.sys ren rom-dos.sys rom-dos.old
build <..\%1.key
@if not exist rom-dos.sys set bldlog=err
@if not exist rom-dos.sys goto done
copy rom-dos.sys ..\release\enduser\%1\rd%1.sys
copy rom-dos.sys ..\release\enduser\%1\rom-dos.sys
del rom-dos.sys
@if exist rom-dos.old ren rom-dos.old rom-dos.sys
cd ..


REM  Build a LFN kernel
REM
echo Building %1 LFN End User release kernel
cd build
@if exist build.bat del build.bat
@if exist rom-dos.sys ren rom-dos.sys rom-dos.old
build <..\%1LFN.key
@if not exist rom-dos.sys set bldlog=err
@if not exist rom-dos.sys goto done
copy rom-dos.sys ..\release\enduser\%1\rd%1lfn.sys
del rom-dos.sys
@if exist rom-dos.old ren rom-dos.old rom-dos.sys
cd ..


:done
if "%bldlog%"=="1" set buildlog=
