;
;   $Id: FATLIB.INC 1.4 2002/10/15 22:48:04Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;---------------------------------------------------------------------------
; $DOCFILE:FATLIB.ASM
;
; Copyright (c) 1999-2002 Datalight, Inc.
; All Rights Reserved.
; Datalight Confidential and Proprietary.
;
; This module is used by the PUTFAT and GETFAT library functions
;
; 07-21-2000 bt  Split up FATLIB.ASM into UNIFY.ASM,PUTFAT.ASM,
;                and GETFAT.ASM
; 03/31/1999 bt  Created (modeled from dosfat.asm by dg)
;
;---------------------------------------------------------------------------


;  Constant for when your adding with carry the value zero.
;
ADD_NOTHING = 0

;  The maximum number for a FAT entry you can use in a FAT12 file system
;
FAT12_MAXIMUM_NUMBER = 0fffh

;  This is the value you would use retrieve an even FAT12 entry
;
FAT12_EVEN_ENTRY_MASK = 0f000h

;  This is the value you would use retrieve an odd FAT12 entry
;
FAT12_ODD_ENTRY_MASK = 000fh

;  This is the number of bytes used by a FAT32 entry
;
FAT32_ENTRY_NUMBER_OF_BYTES = 4

;  This is the number of bits that you shift before using an
;  odd FAT12 entry.
;
SHIFT_VALUE_FOR_AN_ODD_ENTRY = 4

;  This is the bit in a value in which you would test to see
;  if a value is odd or even.
;
BIT_FOR_TESTING_ODD_AND_EVEN = 1
