;
;   $Id: DLFFIRST.ASM 1.5 2002/10/15 22:52:14Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;--------------------------------------------------------------------
; $DOCMODULE:DLFFIRST.ASM
; Created 08-09-97 by Dennis Edwards
;
; Copyright (c) 1997-2002 Datalight, Inc.
; All Rights Reserved.
; Datalight Confidential and Proprietary.
;
; This module is a wrapper for interrupt 21h functions 1ah, 2fh, 4eh
; and 4fh.  This is part of the Datalight Library.
;
; bool PASCAL dlGetDTA(void * pfpDTAAddress)
; bool PASCAL dlSetDTA(void far * pNewDTA)
; bool PASCAL dlFindFirstFile(unsigned uAttributes, char * szPathAndName)
; bool PASCAL dlFindNextFile(void)
;
; $DOCHISTORY
; 01/04/1998 bt  Added GetDTA
; 01/04/1998 bt  Added $DOC features
; 08/09/1997 de  Created.
;--------------------------------------------------------------------
include datalght.inc
InitModel %MEMMODEL, pascal, use16
include _dldosio.inc


.code

;--------------------------------------------------------------------
; $DOCPROC: dlFindFirstFile
;
; bool PASCAL dlFindFirstFile(unsigned uAttributes, char * szPathAndName)
;
; Int 21h function 2eh interface to dos find first.  Returns TRUE
; if successful, FALSE if it failed.
;
; NOTE: DTA must have already been set
;
; On Entry
;
;       cx    (uAttributes)   Search attributes
;	ds:bx (szPathAndName) Address of the DTA
;
; On Exit
;
;	ax    (function)      TRUE if the function was successful, FALSE
;                             otherwise
;
;--------------------------------------------------------------------
ProcBegin 	dlFindFirstFile,public
if @DataSize
ProcUses	ds
endif
ProcArgs 	@@uAttributes:word, @@szPathAndName:PTR
ProcSetup

	mov	ah, 4Eh
	mov	cx, @@uAttributes
	LPTR_DS	dx, @@szPathAndName
	int	21h

	SET_DOS_ERROR
ProcEnd
	end
