;
;   $Id: cntryinf.asm 1.4 2002/10/15 22:52:14Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;--------------------------------------------------------------------
; $DOCMODULE:CNTRYINF.ASM
; Created 4-19-2001 by Brandon Thomas
;
; Copyright (c) 2001-2002 Datalight, Inc.
; All Rights Reserved.
; Datalight Confidential and Proprietary.
;
; $DOCHISTORY
; 04/19/2001 bt  Created.
;--------------------------------------------------------------------
include datalght.inc
InitModel %MEMMODEL, pascal, use16
include _dldosio.inc


.code

;--------------------------------------------------------------------
; $DOCPROC: dlGetCountryInfo
;
; bool PASCAL dlGetCountryInfo( uchar ucInfoType, unsigned uCodePage,
;	unsigned uDataAmount, unsigned uCountryID,
;	uchar * pBuffer );
;
; Int 21h function 65h interface to retrieve country information
; This function returns TRUE if successful, FALSE if it failed.
;
; On Entry
;
;	al    (ucInfoType) ID of information of interest
;	bx    (uCodePage) Code page of interest
;	cx    (uDataAmount) Amount of data to return
;	dx    (uCountryID) Country ID
;	es:di (pBuffer) Buffer to fill
;
; On Exit
;
;	ax   (function)   TRUE if the function was successful, FALSE
;                         otherwise
;
;--------------------------------------------------------------------
ProcBegin	dlGetCountryInfo,public
ProcUses	di,es
ProcArgs	@@ucInfoType:byte,@@uCodePage:word,@@uDataAmount:word,@@uCountryID:word,@@pBuffer:PTR
ProcSetup

		mov	ah, 65h
		mov	al, @@ucInfoType
		mov	bx, @@uCodePage
		mov	cx, @@uDataAmount
		mov	dx, @@uCountryID
		LPTR_ES	di, @@pBuffer
		int	21h

		;
		; Set the error code and the boolean return value for
		; an error
		;

		SET_DOS_ERROR

        DONE:

ProcEnd
	end
