;
;   $Id: stricmp.asm 1.6 2002/10/15 23:04:54Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;--------------------------------------------------------------------
; $DOCMODULE:STRICMP.ASM
; Created 2-25-2001 by Brandon Thomas
;
; Copyright (c) 2001-2002 Datalight, Inc.
; All Rights Reserved.
; Datalight Confidential and Proprietary.
;
; $DOCHISTORY
; 02/25/2001 bt  Created.
;--------------------------------------------------------------------
include datalght.inc
InitModel %MEMMODEL, C, use16

IF FARSEG
.code
ELSE
.code _TEXT
ENDIF

;--------------------------------------------------------------------
; $DOCPROC: stricmp
;
; int stricmp( char * szDest, char * szSrc );
;
;--------------------------------------------------------------------
ProcBegin_f 	stricmp, public
IF @DataSize
ProcUses  	es,ds,di,si
ELSE
ProcUses  	di,si
ENDIF
ProcArgs	@@szDest:PTR,@@szSrc:PTR
ProcSetup

	;  Find the end of the source string
	;
	LPTR_ES	di, @@szDest
IF @DataSize
	push	es
ENDIF
	push	di
	mov	cx, 0ffffh
	xor	ax, ax
	cld
	repne	scasb
	not	cx

	;  Compare the source string to the destination string
	;

	pop	di
IF @DataSize
	pop	es
ENDIF
	LPTR_DS	si, @@szSrc

    @@Next:

	or	cx, cx
	jz	@@Same

	mov	dl, byte ptr [si]
IF @DataSize
	mov	dh, byte ptr es:[di]
ELSE
	mov	dh, byte ptr [di]
ENDIF

	cmp	dl, 'z'
	ja	@@Cvt2
	cmp	dl, 'a'
	jb	@@Cvt2
	sub	dl, 'a' - 'A'

    @@Cvt2:

	cmp	dh, 'z'
	ja	@@CvtDone
	cmp	dh, 'a'
	jb	@@CvtDone
	sub	dh, 'a' - 'A'

    @@CvtDone:

	dec	cx
	inc	si
	inc	di

	cmp	dh, dl
	je	@@Next

	jl	@@Less

    @@More:

	inc	ax
	inc	ax

    @@Less:
	dec	ax

    @@Same:
    @@Done:

ProcEnd

@curseg	ends
	end
