;
;   $Id: MEMPRHLP.ASM 1.4 2002/10/15 23:47:14Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;--------------------------------------------------------------------
; $DOCMODULE:MEMPRHLP.ASM
;
; Copyright (c) 1998-2002 Datalight, Inc.
; All Rights Reserved.
; Datalight Confidential and Proprietary
;
; This module contains support routines for the printf() routine
; from DOSPRINT.C. Allows drives to use the ROM-DOS printf() whether
; built-in or stand-alone.
;--------------------------------------------------------------------
include macros.inc

cBegData
	public	_fatal_halt,_fatal_romdos
	_fatal_halt	db "MEMDISK Fatal Error (%d.%d)!",10,0
	_fatal_romdos	db 0

cEndData

cBegCode

;--------------------------------------------------------------------
; $DOCPROC:bios_putc
;
; void PASCAL bios_putc(uchar c);
;
; Display a single character using BIOS Int 10h.
;--------------------------------------------------------------------
	public	BIOS_PUTC
BIOS_PUTC	proc near
	push	bp
	mov	bp, sp
	push	bx
	mov	al, p[bp]
	mov	ah, 0Eh		; output a char, TTY
	mov	bh, 0
	int	10h
	pop	bx
	pop	bp
	ret	2		; pop char from stack
BIOS_PUTC	endp

;--------------------------------------------------------------------
; $DOCPROC:secret_elephant_burial_grounds
;
; void secret_elephant_burial_grounds(void)
;
; This function is where an assert goes to. Just waits for a key.
;--------------------------------------------------------------------
	public	_secret_elephant_burial_grounds
_secret_elephant_burial_grounds:
	xor	ax, ax
	int	16h
	ret

cEndCode

	END
