//
//   $Id: VERSION.C 1.21 2003/09/05 19:59:00Z johnb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
//
// File: VERSION.C
// Copyright (c) 2001 Datalight, Inc.
// All Rights Reserved
// Datalight Confidential and Proprietary
// Portions copyright (c) GPvNO 2001
//
// Version Control Information
//
#define UVERSION	256 * 3 + 71
#define VERSION	"3.71"
/* HISTORY:
09/05/03 gvn 3.71 More entries in mem_stat
10/13/02 jb&gvn Memory corruption with /m=55000
10/04/02 gvn 3.70 ARP API
09/16/02 gvn 3.69 DHCP ARP followed by gratuitous ARP, IOCTL_HOTSWAP
09/09/02 gvn 3.69 Basic NAT implemented (conditional compile)
09/04/02 gvn 3.69 DHCP XID constant for session
08/26/02 gvn 3.69 Sockets (descriptors) for RINET(S)
07/31/02 gvn 3.68 Shared Async interrupts, PPP DNS servers
07/08/02 gvn 3.67 Fix DNS only using last server
06/18/02 gvn 3.66 removed NULL in PAP request
12/05/01 gvn 3.65 Fix /m=60000 crash
10/05/01 gvn 3.64 Timing mark (INET only)
08/25/01 gvn allow UDP with no data to be sent
08/18/01 gvn schedule on async completion
08/15/01 gvn 3.63 Replace Gratuitous ARP on startup with DHCP ARP
07/23/01 gvn Packet driver receive buffer increase for flakey Cisco PD
07/21/01 gvn Alloc tracing
07/02/01 gvn Increase DHCP size
06/15/01 gvn Fix NONBLOCKING+PEEK both set for TCP
06/07/01 gvn ASY fixes when exiting with IOCTL_DISABLE active
05/22/01 gvn Search for PDR int if not given or 0.
				 Search for h/w int if not given or 0.
05/09/01 gvn Fix 'lcp start' to dial
05/05/01 gvn Fix LCP ECHO-REQUEST memory leak
05/03/01 jmb removed open "end of comment"
05/02/01 jmb updated version number for Sockets to be ROMDOS
				 build number.  Changed version string to be
				 ROMDOS version string.
05/02/01 jmb added this header
04/28/01 gvn Fix INET REMCON server ANSII sequences
04/13/01 gvn Remove TCP precendence checking
PRIOR HISTORY:
Version control information

Revision history

2.08.1 	ALT-0 to ALT-9 in FTP client
	Unknown command %s in FTP server
2.09	Erase in UTE.C
2.10	Terminal server:
		line break to disconnect
		consistent display of prompts
		prompt for port
	LCS fixes: Lost data and lost last character
	FTP client checks for exactly 3 digits of code
	3270 Attribute colours
	UTE show/hide cursor position
	VT100 protected mode: always skips to next field when entering last
	character in field; even on last column.
2.11	LCS fix: Hang when receiving at high data rates
2.12	Fix 3270 problem introduced in 2.10
2.12.1	Fix Fatal Timer Loop in FTP server
2.12.2	Line break to disconnect only after 'param break active'
2.12.3	Clear 'break condition' on serial server.
	Fix hidden field problem in UTE
2.12.4	Slip support for Packet Driver
	API re-enter from upcall
2.13	Error message on Telnet session termination
	/u switch for upper case directory displays
	FTP uses pathname locally but not remotely
2.13.1	RTM
	Host and session selection menus fixed.
2.14.1	Netbios cleanup/statistics
	Fix RTM Memory free problem
	Preload ALT X function key
	Extended 'session' syntax, alt keys
2.14.2	Connection for raw lines in 'ifstat'
2.14.3  FTP server terminating all lines with CRLF
2.14.4  Dump on LCS error for CKD
2.14.5  Fix SMTP client concatenating commands
2.15	Security more robust
2.15.1  Remote console screen
2.15.2  RCS fixes
2.15.3  Printserver fixes, stop prnts <n> reset
		  tcp reset sends RST
2.15.4  3270 unformatted read returns all chars
2.15.5  /m & /s in 'start prntserv'
		  VT wrap
2.15.6  Fix execute error returns to work with remcon
		  /r in 'start prntserv' to report status
2.15.7  's' for stats trace
2.16    Release for LD
2.16.1  api_intc and tcpsubr from rinet
		append to trace
2.16.2	IEEE + Token ring support
2.16.3	API upgrade to RINET: netmask,subnet bcast
2.16.4	UTE text mode
2.16.5	Alternate routes/interface IF_UP status
		Proxy ARP
2.16.6	response_expected removed
2.17	Lan Design release
2.17.1	Printserver fixed
2.17.2	Changes to asy for Rinet
2.17.3	Flush printer on UTE thru-print
2.20	New serialisation
2.21	SNMP,3279,re-implement /f,IPX fixed
2.22	IPX stored immediate address removed
2.23	RIP
2.24	& in host/net name
2.25	param iface noripadv|ripadv, prntserv status change
2.26	Digiboard
2.27    3270 fixed,digiboard fixed,message command
2.28	3270 FF in data stream, api entry points marked
2.30	Ping uses iface IP adr
2.31	3270 fixes, Rip + Alt route fixes
2.32	X25 disconnect on Iface down, <esc>PI in VT100 reads IP Address
2.33	3270 Partition Query only if TT=3279
2.34	Asy modem,rip keeps static routes,adds new routes at top
2.35	3270 null fix, clean up test server
2.36	more 3270 fixes
2.37	even more 3270, Digiboard for multiple boards
2.38	FTP ASCII tests for Ctrl Z
2.39	Palette support
2.40	BS is function key
2.41	poll serial port for missed int, 16550A support
2.42	fixes VT100 protected fields which got clobbered by 3279
2.43	Some asy fixes, remove X25 disconnect on if timeout
2.44	Fix loopback pings
2.45	Fix Remcon clobbering serial numbers
2.46	Fix rt_add prev pointer
2.47	Rip adv giving multiple entries for same route
2.48	Rip any size subnet
2.49	Fix midnight timer problem
2.50	Fix 3270 send string
2.51	Fix asy
2.52	More asy, API in step with RINET
2.53	ASY flow control
2.54	Null pointer in TERM
2.55	VT100 screen print
2.56	ASY mdd
2.57	API_READKEY
2.58	PKRDRV fixes for 802.3/5
2.59	FTP client ping-pong,"binary" etc,login
2.60	Menu cleanup, asy status
2.61	Dial and asy fixes, mdd and x25 RIP, DOS critical error timeout
2.62	FTP client background execution
2.63	Fixed 3270 hexcodes, Insert error due to colour, Hidden field display
2.64	RLOGIN
2.65	Asy dial-in fixes
2.66	CSLIP
2.67	DNS + .ini for IP,TCP & DNS
2.68	Fixes to DNS, more .ini (route + iface pdr),fix 8 bit cc in ute keys
2.69	DNS fix, FTPServ ABORT
2.70	Fixed memory leaks with modems
2.71	3270 fixes for Steinmuller, RIP/Alternate route fix
2.72	940908 No RIP use
2.73	940909 RIP fix
2.74	LOG If up/down
2.75	940910 Fix rip routes from 'down' ifaces;x.25 disconnect in-between queries
2.76	940919 Screenprint for UTE, enter fields, rip when iface down
2.77	Fix return to LISTEN on reset
2.78	941021 Case insensitive commands
2.79	941104 (re)fix rip routes on down interfaces
2.80	941107 better fix for rip when iface down
2.81	941124 0xff in raw recv to telnet
2.82	941124 0xff xmit
2.83	941207 mdd status
2.84	941209 env variable in .stu and .ini, removed op_check code in 3270
2.85	941215 better menu kb handling, fix mmd internal ioctl
		DECKPAM,DECKPNM seq (NumLock on/off)
		FTP client: bye, mget, mput;fix batch mget
2.86	950105 Terminal external protocol,fix API_TCPREAD with CX=0
2.87	950111 Fix Xternal emulator,VT dual cursor keys
2.88	950119 Fixed while loop in digi.c
2.89	950120 Fixed 3270 colours at last! - Erich
2.90	950127 Tried for 10^(9999!) time to fix 3270 keyboard type-ahead
2.91	950130 Fixed non-blinking field attributes
2.92	950203 Finished LPD
2.93	950207 FTP server - CWD to non-directory. FTP Cli - batch proc improved
2.94	950214 dial-support: retry and release sif;3270 insert;c)lpd fixes,dial fix
2.95	950227 CAPI ack's on updated window
	950317 menu layout changed, keep-alive
2.95a	Iface IP addresses
2.95b	Bootp
2.95c	Bootp fixes,memorex kb
2.95d,e	trace all,bootp fixes
2.95iscor temp kludge in TCPTIMER using K conditional
2.95iscor-1 remove bad keymap for Alt grey keys - Erich to fix!!
2.96 same as 2.95iscor-1, LARGE
2.96b	fix bad arp request, Vesa support, free disk display
2.96c	fix X.25 (needs Eicon 2.40), test server, ibm server, SMPT, Server KA bug
		rtm bug, tn3270e
2.96d	tn3287
2.96e	remove fatal mem free, new lpd
2.96f	mdd priority to incoming calls
2.96g	param <ifname> address
2.96h	FTP passive, LPD fixes
2.96i	Dial fixes
2.96h	More dial, ping enhancements
2.96j	fix dotted decimal ip bug
2.96k	/m and /s fixed
2.96l	send_location
2.97	merge Inet/Rinet
2.97a	Fix DONTWIPE write open, Rinet memory allocation
2.97b	Tokenring multi-ring
2.97c	RIP adv without local route
2.97d	memory dump
2.97e	packet driver fixes
2.97f	ini support for ser + x25, d t, check 132 col
2.97g	fix printserver in INETL, [h] fix security problem
2.97h	fix log(), PROTOTYPES!
2.97i,j	Multifile LPD, /c
2.97k	stack/heap overrides
2.97l   token ring fixes
2.97m	Unix format listing
2.97n	Source to destination filter
2.97o	UTE Thru-printing
2.97p	FTP server fix for passive mode, Bootp abort,ping /s=0
		No TN327E unless 3270
2.98	Custom menu
2.98a	Fixed custom menu, domain names in hostfile
2.98b	SCO sequences
2.98c	screen capture to file
2.98d	Fix midnight problem
2.98e	Fix VT insert broken in 2.98b
2.99	Security fixed!
3.00	Fixed Rinet servers
3.01	961002 Routing problems
3.02	961003 Dial-up @a
3.03	961015 /x= in telnet
3.04	NET_AS_ERROR reports kernel unloading in Rinet,Lost listen solved
3.05	Sub-net broadcasts
3.10	Check compile date
3.11	97-01-01 FTP server fix, CDUP
3.12	97-01-23 LPD fix no user. Extra CR in log file.
3.13	97-01-30 RIP version 2
3.14	97-02-01 Fix RIP 2, LPD (Uppercase command)
3.15	97-02-27 Trace loopback, LPD
3.16	97-04-04 FTP server path relative to login. Broadcast echo license problems.
		97-04-14 Extra CR in log file.
3.17	97-05-15 Ping generates ICMP error messages,Fix Tokenring ARP
3.18	97-05-19 Make Enter a function key
3.19	97-05-23 Remcon user accept
3.20	97-05-30 HTTP server (L), VT100 enq
3.21  	97-06-03 Three changes:
			  1. The FTP server will return only the relative path in
		response to the PWD command.
		  2. LPD and FTP uses the INETSPOOL or TEMP or TMP environment
		variables to find the temporary files directory needed
		for spool files and directory lists.
		  3. The HTTP server has some more functionality.
		  4. HTP client
		Initial TGW version
3.22	98-03-01 IcmpPing API call,
		passwords > 9 chars truncated,
		route echo fixed
3.23	98-03-27 Printing to :0 and remote printserver, 3270 bugs
3.24	98-04-15 Disable VT DECKPAM/PNM mode toggling NumLock "emul /k"
3.25	98-06-29 DHCP
3.26	98-07-01 Working DHCP!
3.27	98-08-25 PPP
3.28	98-09-05 PPP fixes, Datalight no license check
3.29	98-09-18 GetPeer fixed
3.30	98-10-08 Auto detect of VESA modes for 132 column
	 1.00 98-10-28 Datalight version
3.31	99-01-06 Map Shift Gr Up/Down arrows and Tab. Fix broken LPD
3.32/1.01 99-02-08 Fix PPP
3.33/1.02 99-04-09 Fix command line scan in malloc(), DL directory
3.34/1.03 99-04-22 net_getdesc() fixed, net_write(DataGram) fixed, num ld = 12
3.34/1.04 99-04-29 SI == DS in async upcall
3.35/1.05 99-05-10 NetListen/NetConnect returns correct error code when in use
3.36/1.06 99-06-03 Fixed CAPI read
3.37/1.10 99-07-02 Datalight search for config files, DisableAsync, NetSelect
						 LPD changes, K_INF_DNS_SERVERS K_INF_MAC_ADDR
3.38/1.10 99-07-05 VT define key ignored, 3270 PA keys
3.39/1.11 99-08-13 /0 flag to NOT save extended registers on upcall
3.40/1.12 99-08-31 "tcp maxtime" to defeat tcp backoff
3.41/1.21 99-10-06 Keep state of interrupts on API entry (ICLinks)
			 99-10-08 FTP handling of long lines
3.42/1.22 99-12-03 Multicast
3.43/1.23 99-12-15 Fix Multicast
3.44/1.24 99-12-18 DHCP fix for Linux server
3.45/1.25 00-01-05 Fix CAPI write of 0 bytes giving error
3.46/1.26 00-01-11 Ack strategy changed
3.47/1.27 00-02-05 Flush event queue on net_release
3.47/2.00 00-02-15 Sockets2.0 release
3.48/2.01 00-02-24 Serial port shared interrupts, tcp ack fixed
3.49/2.02 00-03-09 Multiple port shared ints fixed, dummy iface
3.50/2.03 00-03-22 Files=20 for TSR's
3.51/2.04 00-05-01 PPP enhancements: server side dial-in, callback, ppp trace
3.51/2.05 00-05-09 Fix PPP enhancements, iface API, dual PPP configs, IOCTL
3.51/2.06 00-06-13 More PPP enhancements, IOCTL changes
3.51/2.07 00-06-22 Fix sending ack when receiving ack in TIME_WAIT
3.51/2.08 00-07-21 Modem extra dial - Napac problem
3.52/2.09 00-07-30 PAP fail after 100 good logins, TN3270E fixes
3.53/2.10 00-08-02 Multicast specified by /a for bad packet drivers
			 00-09-05 DHCP decline
3.54/2.11 00-09-14 Debug, PPP DHCP inform fixed, 3270 WSF erase/reset
3.55/2.12 00-09-26 disable() in PKTDRV introduced in previous rev removed. 3270 WSF
3.56/2.12 00-10-16 Implement 3270 Modify Field order
3.57/2.13 00-11-17 3270 WSF read_partition fixed, BC5.02
3.58/2.13 00-12-05 Fix mapping of GrUpArrow and GrDownArrow to be different from Numpad arrows
3.58/2.14 00-12-19 re-init asy port on Ioctl(ENABLE)
3.59/2.15 01-01-01 LPDD
3.60/2.16 01-01-12 127.0.0.1 loopback
			 01-02-21 Redirected printer uses remote status reports
3.60/2.17 01-02-26 Printer fixes. Printer code free'd if not used
3.61/2.18 01-03-17 CHAP implemented
3.61/2.19 01-03-28 PPP ignore fixed, IOCTL PPP Open/Start/Close
3.61/2.20 01-04-04 IPCP reset interface IP address
3.62/2.21 01-04-13 Remove TCP precedence checking
			 01-04-28 Fix INET REMCON server ANSII sequences
			 01-05-05 Fix LCP ECHO-REQUEST memory leak
			 01-05-09 Fix 'lcp start' to dial
			 01-05-22 Search for PDR int if not given or 0.
						 Search for h/w int if not given or 0.
3.62/2.22 01-06-07 ASY fixes when exiting with IOCTL_DISABLE active
			 01-06-15 Fix NONBLOCKING+PEEK both set for TCP
3.62/2.23 01-07-02 Increase DHCP size
3.62/2.24 01-07-21 Alloc tracing
*/
#ifdef DL
#include "stdlib.h"
#include "dosver.h"

unsigned uVersion;
char version[] = REVISION
#ifdef DEB
						" Debug"
#endif
#ifdef ALLOC_TRACE
						" AllocTrace"
#endif
;
#else
unsigned uVersion = UVERSION;
char version[] = VERSION
#ifdef __LARGE__
" (L)"
#endif
#if APL
#ifndef TEST_S
" (M)"
#endif
#else
#ifdef ASYNC
" (S"
#else
" (R"
#endif
	 ")"
#endif
#ifdef TGW
" Test Gateway"
#endif
#ifdef DEB
						" Debug"
#endif
#ifdef ALLOC_TRACE
						" Alloc trace"
#endif
;
#endif
char *CompileDate 	= __DATE__;
