//
//   $Id: QuickDialog.java 1.2 2002/10/16 17:01:48Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
package inet;

import java.awt.*;
import java.util.*;
import java.awt.event.*;

//idea: defining a class that will be very efficient and easy to use (in the emulator paradigm)

//maak almal custom afgeleide klasse (baie effektiewer, kragtiger)
//wat dus sommer sonder gedefde interfaces callback na emul (of wie ook al) kan doen
//hoe? modelle (1)
//2 eenvoudig
//3 met fancy layout
//4 luister na teks, kry vinnig foute (soos teks in getal, ens.)
//5 finale idee
public class QuickDialog
extends Dialog
implements WindowListener
,AdjustmentListener
,ActionListener
,ItemListener
{
	protected static Toolkit tk = Toolkit.getDefaultToolkit();

	protected GridBagLayout gridbag;
	protected GridBagConstraints gridcons;
	//(1)
	public QuickDialog(String title)
	{
		this(null, title);
	}

	public QuickDialog(Frame cFrame, String title)
	{
		super(cFrame, title);
		addWindowListener(this);
		gridbag = new GridBagLayout();
		gridcons = new GridBagConstraints();
		gridcons.insets = new Insets(10,10,10,10);
//		gridcons.ipadx = 15;
//		gridcons.ipady = 15;
		gridcons.weightx = 1;
		gridcons.weighty = 1;
//		gridcons.fill = gridcons.BOTH;
		setLayout(gridbag);
	}

	protected void setgcXY(int x, int y)
	{
		if (x > -1) gridcons.gridx = x;
		if (y > -1) gridcons.gridy = y;
	}

	protected void ad (Component c)
	{
		add(c, gridcons);
	}

	protected Label adLabel (String s)
	{
		Label l;
		add(l = new Label(s), gridcons);
		return l;
	}

	protected Button adButton (String s)
	{
		Button l;
		add(l = new Button(s), gridcons);
		return l;
	}

	void display()//layout: pack(); kry lekker size, ens.
	{
		validate();
		pack();
		Dimension d = getPreferredSize();
		Dimension ss = tk.getScreenSize();
		setLocation((ss.width - d.width) / 2,(ss.height - d.height) / 2);//center box
		setSize(d);
		if (!isVisible()) setVisible(true);
	}

	//WindowListener
    public void windowDeactivated(WindowEvent e) 	{	}
    public void windowClosing(WindowEvent e) 
	{
		dispose();
	}
    public void windowOpened(WindowEvent e) 	{	}
    public void windowClosed(WindowEvent e) 	{	}
    public void windowDeiconified(WindowEvent e) 	{	}
    public void windowActivated(WindowEvent e) 	{	}
    public void windowIconified(WindowEvent e) 	{	}
	public void adjustmentValueChanged(AdjustmentEvent e)	{	}
	public void actionPerformed(ActionEvent a)	{	}
	public void itemStateChanged(ItemEvent e)	{	}
}
