#
#   $Id: dhcpstat.MAK 1.1 2002/11/05 16:01:14Z johnb Exp $
#
#   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#   Copyright (c) 1993 - 2002 Datalight, Inc.
#   All Rights Reserved
#
#   Datalight, Inc. is a Washington corporation with an address at
#   21520 30TH DR SE MS110 Bothell, WA, 98021
#   Tel: 800.221.6630  Fax: 425.951.8091
#   Http://www.datalight.com
#
#   This software, including without limitation all source code and
#   documentation, is the confidential, trade secret property of
#   Datalight, Inc., and is protected under the copyright laws of
#   the United States and other jurisdictions. Portions of the
#   software may also be subject to one or more the following US
#   patents: US#5860082, US#6260156.
#
#   In addition to civil penalties for infringement of copyright
#   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#   penalties for violation of (a) the restrictions on circumvention
#   of copyright protection systems found in 17 U.S.C. 1201 and
#   (b) the protections for the integrity of copyright management
#   information found in 17 U.S.C. 1202.
#
#   U.S. Government Restricted Rights. Use, duplication,
#   reproduction, or transfer of this commercial product and
#   accompanying documentation is restricted in accordance with
#   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
#   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
#   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#   THIS SOFTWARE IN ERROR.
#
#
# DHCPSTAT.EXE Makefile
# Copyright (c) 2001 Datalight, Inc.
# All Rights Reserved
# Datalight Confidential and Proprietary
#
# Revision History
# 11/05/2002 jmb original revision
#
.AUTODEPEND

all:	dhcpstat
	@if exist ..\dhcpstat.exe del ..\dhcpstat.exe >nul
	@copy dhcpstat.exe ..\dhcpstat.exe >nul



clean:
	@echo Cleaning dhcpstat
	@if exist dhcpstat.cfg del dhcpstat.cfg
	@if exist dhcpstat.obj del dhcpstat.obj
	@if exist dhcpstat.map del dhcpstat.map

cleanall: clean
	@if exist dhcpstat.exe del dhcpstat.exe


#
# Borland C++ tools
#
CC  = Bcc
TLINK   = TLink
#
# IDE macros
#


#
# Options
#
LFLAGS = $(RD_SW_L) -c -Tde -x
CFLAGS = $(RD_SW) -I..\..\include;..\..\..\include -DDL
STARTUP= c0m.obj
LIBS   = noehm.lib+cm.lib+..\..\..\lib\dlm.lib

#
# Dependency List
#
dhcpstat : dhcpstat.cfg dhcpstat.exe

dhcpstat.exe : dhcpstat.obj
  $(TLINK)  /v $(LFLAGS) @&&|
	$(STARTUP)+dhcpstat.obj
	$<,$*
	$(LIBS)
|

dhcpstat.obj :  dhcpstat.c
  $(CC) -P- -c @dhcpstat.cfg @&&|
	$(CFLAGS) -o$@ dhcpstat.c
|

# Compiler configuration file
dhcpstat.cfg :
   Copy &&|
-W-
-w
#-R
#-v
-vi
-mm
-f-
-x-
-xp-
-xd-
-xc-
-xf-
-RT-
-1-
-H=
-H-
| $@


