#
#   $Id: memstat.mak 1.1 2003/09/09 20:55:16Z johnb Exp $
#
#   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#   Copyright (c) 1993 - 2002 Datalight, Inc.
#   All Rights Reserved
#
#   Datalight, Inc. is a Washington corporation with an address at
#   21520 30TH DR SE MS110 Bothell, WA, 98021
#   Tel: 800.221.6630  Fax: 425.951.8091
#   Http://www.datalight.com
#
#   This software, including without limitation all source code and
#   documentation, is the confidential, trade secret property of
#   Datalight, Inc., and is protected under the copyright laws of
#   the United States and other jurisdictions. Portions of the
#   software may also be subject to one or more the following US
#   patents: US#5860082, US#6260156.
#
#   In addition to civil penalties for infringement of copyright
#   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#   penalties for violation of (a) the restrictions on circumvention
#   of copyright protection systems found in 17 U.S.C. 1201 and
#   (b) the protections for the integrity of copyright management
#   information found in 17 U.S.C. 1202.
#
#   U.S. Government Restricted Rights. Use, duplication,
#   reproduction, or transfer of this commercial product and
#   accompanying documentation is restricted in accordance with
#   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
#   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
#   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#   THIS SOFTWARE IN ERROR.
#
#
# MEMSTAT.EXE Makefile
# Copyright (c) 2001 Datalight, Inc.
# All Rights Reserved
# Datalight Confidential and Proprietary
#
# Revision History
# 09/09/2003 jmb original revision
#
.AUTODEPEND

all:	memstat
	@if exist ..\memstat.exe del ..\memstat.exe >nul
	@if exist ..\memstat.c del ..\memstat.c >nul
	@copy memstat.exe ..\memstat.exe >nul
	@copy memstat.c ..\memstat.c >nul



clean:
	@echo Cleaning MEMSTAT
	@if exist memstat.cfg del memstat.cfg
	@if exist memstat.obj del memstat.obj
	@if exist memstat.map del memstat.map

cleanall: clean
	@if exist memstat.exe del memstat.exe


#
# Borland C++ tools
#
CC  = Bcc
TLINK   = TLink

#
# Options
#
LFLAGS = $(RD_SW_L) -c -Tde -x
CFLAGS = $(RD_SW) -I..\..\include;..\..\..\include -DDL
STARTUP= c0m.obj
LIBS   = noehm.lib+cm.lib+..\..\..\lib\dlm.lib

#
# Dependency List
#
memstat : memstat.cfg memstat.exe

memstat.exe : memstat.obj
  $(TLINK) /v $(LFLAGS)  @&&|
	$(STARTUP)+memstat.obj
	$<,$*
	$(LIBS)
|

memstat.obj :  memstat.c
  $(CC) -P- -c  @memstat.cfg @&&|
	$(CFLAGS) -o$@ memstat.c
|

# Compiler configuration file
memstat.cfg :
   Copy &&|
-W-
-w
#-R
#-v
-vi
-H
-H=memstat.csm
-mm
-f-
-x-
-xp-
-xd-
-xc-
-xf-
-RT-
-1-
#-d
-H=
-H-
| $@


