//
//   $Id: DEFMSG.H 1.4 2002/10/16 21:45:08Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
//
// DEFMSG.H
// Message definition module for the Datalight disk DEFRAGmentation utility.
// Created 03-13-97 Dennis Edwards
//
// Copyright (c) 1989-2002 Datalight, Inc.
// All Rights Reserved.
// Datalight Confidential and Proprietary
//

#if !defined(_DEFMSG_H_INCLUDED_)
#define _DEFMSG_H_INCLUDED_   1

extern char signon_msg[];
extern char usage_msg[];
extern char drive_compacted_msg[];

extern char bad_opt_msg[];
extern char fatal_msg[];
extern char feinvalid_msg[];
extern char fecannot_msg[];
extern char fenodisk_msg[];
extern char fenomem_msg[];
extern char fediskrd_msg[];
extern char fediskwr_msg[];
extern char feaborted_msg[];

extern char febadcpu_msg[];
extern char felongfilenames_msg[];
extern char fetoomanynodes_msg[];
extern char fewindozed_msg[];
extern char feopenfiles_msg[];

#if DEBUG
extern char warning[];
extern char file_msg[];
extern char dir_msg[];
extern char toobig_msg[];
extern char root_name_msg[];
#endif

extern char criterr_msg[];
extern char critrd_msg[];
extern char critwr_msg[];
extern char critdrv_msg[];
extern char criterr_prompt[];
extern char criterr_responses[];
extern char chk_invalid_msg[];
extern char chk_dir2file_msg[];
extern char chk_baddir_msg[];
extern char chk_alloc_msg[];
extern char lost_clusters[];
extern char cross_linked[];
extern char chk_nofix[];

/* yes or no questions */
extern char ask_yesno_msg[];
extern char yesno_str[];
extern char yesno_responses[];
extern char percentfragmented_msg[];
extern char defrag_anyway_msg[];

/* statistics */
extern char chk_vol_str[];
extern char chk_totaldisk_str[];
extern char chk_hidden_str[];
extern char chk_dir_str[];
extern char chk_user_str[];
extern char chk_bad_str[];
extern char chk_lost_str[];
extern char chk_freedisk_str[];
extern char chk_totalmem_str[];
extern char chk_freemem_str[];
extern char chk_bpc_str[];
extern char chk_totalclusters_str[];
extern char chk_freeclusters_str[];
extern char ctrlbrk_msg[];
extern char ctrlaltdel_msg[];
extern char tocontinue_msg[];
extern char toexitnow_msg[];
extern char dirsoptimum_msg[];
extern char filesdefragged_msg[];


#endif // #if !defined(_DEFMSG_H_INCLUDED_)


