;
;   $Id: POWVARS.ASM 1.4 2002/10/16 21:57:04Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;
; Datalight Power Management Software
; Constants Assembly Module
;
; Copyright(c) 1993-2002 Datalight Inc.
; All Rights Reserved
; Datalight Confidential and Proprietary



;
; Consants are defined for the number of seconds between different events.
; Each constant is a whole number that is the number of tenths of seconds,
; For example 10 is 1.0 seconds and 25 is 2.5 seconds.
;

;
; This constant is the number of seconds between each time the power
; management activity is checked.
; 5 seconds seems reasonable
SCHEDULE_POWER_MANAGER	equ	50

;
; This constant is the number of that the screen and keyboard can be
; inactive before APM is requested to place them in stand-by mode
; 9 seconds seems reasonable
POWER_DOWN_DISPLAY	equ	90


;
; This constant is the number of seconds that the system Disks can be
; inactive before APM is requested to place it in stand-by mode
; 30 seconds seems reasonable
POWER_DOWN_DISK 	equ	300


;
; This constant is the number of seconds that the Printer can be
; inactive before APM is requested to place it in stand-by mode
; 2 seconds seems reasonable
POWER_DOWN_PRINT	equ	20


;
; This constant is the number of seconds that the Serial Ports can be
; inactive before APM is requested to place it in stand-by mode
; 2 seconds seems reasonable
POWER_DOWN_SERIAL	equ	20


_DATA Segment word public 'DATA'
	extrn  __psp
	public _Pwr_Mgt_Ticks
	public _Power_Down_Display
	public _Power_Down_Disk
	public _Power_Down_Printer
	public _Power_Down_Serial

_Pwr_Mgt_Ticks		dw	SCHEDULE_POWER_MANAGER
_Power_Down_Display	dw	POWER_DOWN_DISPLAY
_Power_Down_Disk	dw	POWER_DOWN_DISK
_Power_Down_Printer	dw	POWER_DOWN_PRINT
_Power_Down_Serial	dw	POWER_DOWN_SERIAL


;	dw	__psp
_DATA Ends

	End
