//
//   $Id: BUILDMSG.H 1.5 2002/10/15 20:06:44Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*********************************************************

	BUILDMSG.H	created 02/05/93

   Copyright (c) 1993-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary

	The messages for BUILD.CPP are contained here.

***********************************************************/

char usage[] = "Usage =\tBUILD {options}\n\n"
	"Options:\n"
	"\t/?\tThis help screen\n"
	"\t/B\tUse Borland Turbo Assembler and Linker (TASM and TLINK)\n"
	"\t/L\tLocate only; Use current ROM-DOS.EXE, .MAP and .LOC files\n"
	"\t/M\tUse Microsoft Assembler and Linker (MASM and LINK)\n"
	"\t/N\tUse no color (for black and white screens)\n"
	"\t/P\tPause after executing each sub-program (ASM, LINK, LOCATE)\n"
	"\t/T\tTTY mode (for incompatible screens)\n";

//
//
//		<<< MESSAGES AND ERRORS >>>
//
//

char msgLogo[]  = "\nBuild Utility for ROM-DOS %s\n%s\n";

char msgWelcome[]=
"\n"
"Welcome to the ROM-DOS Build Program!\n"
"\n"
"This program will take you step-by-step through the\n"
"process of creating a ROM-DOS kernel tailored\n"
"specifically to your needs.\n";

char msgSearchAsm[]   ="\nSearching For an Assembler and Linker...\n";

// general press a key messages
char msgEscOrCR[] = "\nPress <Enter> to continue.\nPress Esc to exit.   \n";
char msgExitCR[]  = "\nPress <Enter> to exit.\n";

char msgExit[]     = "\nExit Build? \n";
char msgExit2[]     = "\nExit Build?";
char msgNotValid[] = "\nValid options: %s\n";
char msgCreateLocFailed[] = "\nCannot create ROM-DOS.LOC\n";

char msgChangeOpts[] = "Do you wish to change any of these options? ";

char warnSure[] = "BUILD will ask each question again.";
char askSure[] = "Are You sure you want to do them over? ";
char defSure[] = "NY";

// Warnings
char msgWarnContinue[] = "\nContinue anyway?\n";
char msgPressKey[] = "\nPress a key\n";

char msgVectorTable[] =
"\nWarning!  You have chosen to overwrite the vector table!\n";

char msgNoBiosExtension[] =
"\nWarning!  A typical BIOS will only search between the address\n"
"C000:0 and F000:0 for a BIOS extension.  You have chosen %04X:0.\n";

char msgNoAsm[] =
"\nWarning!  The BORLAND TASM, TLINK, and TLIB is required to\n"
"Build ROM-DOS.  One or more cannot be found.\n";


// Failures
char msgInternal[]    = "\nInternal Error %d!\n";
char msgNoSpawn[]     = "\nError! Failed to run %s!\n";
char msgSpawnFailed[] = "\nError! %s failed to complete!\n";
char msgRecord[]      = "Print the screen and call Datalight.\n";
char msgRecError[]    = "\nUnable to create %s for recording!";


//-------------------------------------------------
char msgQuick[] = "\nYou have chosen Quick-Build.\n";

//-------------------------------------------------
char msgQuickBuild[] =
"\n"
"Quick-Build picks the most common choices, asking very few\n"
"questions.  This is the fastest way to build a bootable\n"
"ROM-DOS for your system.\n"
"\n"
"Custom-Build offers the most flexibility, but requires a\n"
"more thorough understanding of the ROM-DOS product.\n";

char askQuickBuild[] =
"Do you wish to Quick-Build or Custom-Build ROM-DOS (Q/C): ";
char defQuickBuild[] = "QC";

//-------------------------------------------------
char msgRomdos6or7[] =
"\n"
"ROM-DOS has the ability to be compatible with DOS 6.22 or with\n"
"DOS 7.1.  It can not be compatible with both at the same time.\n"
"You will need to run build again if decide you want to change\n"
"the DOS compatibility.\n"
"\n"
"Answer 'Yes' if you want DOS 7.1 compatibility.\n"
"Answer 'No' if you want DOS 6.22 compatibility.\n";

char askRomdos6or7[] =
"Would you like DOS 7.1 compatibility? ";
char defRomdos6or7[] = "YN";

//-------------------------------------------------
char msgLFNSupport[] =
"\n"
"You can have support for LFNs(long file names) with either a\n"
"DOS 6.22 or a DOS 7.1 compatible kernel.  Adding long file name\n"
"support will make ROM-DOS a bit larger.\n"
"\n"
"Answer 'Yes' if you want ROM-DOS to support LFNs(long file names).\n";

char askLFNSupport[] =
"Would you like to enable LFN support? ";
char defLFNSupport[] = "NY";

//-------------------------------------------------
char msgCreateSuperBoot[] =
"\n"
"SuperBoot is a feature which allows you to see and/or boot\n"
"from a hidden DOS partition.  Adding SuperBoot support will\n"
"make ROM-DOS a bit larger and is not required for normal\n"
"operation.\n"
"\n"
"Answer 'Yes' if you want ROM-DOS to support SuperBoot.\n";

char askCreateSuperBoot[] =
"Would you like to enable SuperBoot support? ";
char defCreateSuperBoot[] = "NY";

//-------------------------------------------------
char msgBootFromSuperBoot[] =
"\n"
"With SuperBoot, you can use the command.com, autoexec.bat, and\n"
"config.sys from the SuperBoot partition or the normal boot\n"
"drive.  Normally you would use the file on the SuperBoot drive.\n"
"\n"
"Answer 'Yes' to use the boot files on the SuperBoot partition.\n";

char askBootFromSuperBoot[] =
"Would you like to load the files from the SuperBoot partition? ";
char defBootFromSuperBoot[] = "YN";

//-------------------------------------------------
char msgSuperBootDriveOrder[] =
"\n"
"With ROM-DOS you can select where in the drive order the\n"
"SuperBoot drive letter will appear.\n"
"\n"
"Answer 'L' if you want the drive letter for the SuperBoot drive\n"
"to be the last drive letter.\n"
"Answer 'F' if you want the drive letter for the SuperBoot drive\n"
"to be the first drive letter.\n"
"Answer 'M' if you want the drive letter for the SuperBoot drive\n"
"to not be first or last.";

char askSuperBootDriveOrder[] =
"Specify the location for the SuperBoot drive ordering: [FML] ";
char defSuperBootDriveOrder[] = "LFM";

//-------------------------------------------------
char msgSuperBootID[] =
"\n"
"With SuperBoot, you can select the partition ID for your SuperBoot\n"
"drive (hidden partition).  The default partition ID is 98h.  This\n"
"should be the same value that was used when you created a SuperBoot\n"
"partition using Datalight's FDISK.EXE.\n";

char askSuperBootID[] =
"What is the SuperBoot partition ID (in hex)? ";

unsigned char defSuperBootID = 0x98;

char szReservedPartitionID[] =
"Partition IDs 01h, 04h, 05h, 06h, 0Bh, 0Ch, 0Eh, and 0Fh are reserved\n"
"for DOS.  You will need to select a different partition ID.\n";

//-------------------------------------------------
char msgDiskBoot[] =
"\n"
"Answer 'Yes' if you want ROM-DOS to boot from floppy, hard\n"
"disk or any other disk that FORMAT and SYS understand.  Also\n"
"answer 'Yes' if ROM-DOS will be loaded into RAM by the paged\n"
"loader, or directly by other means.\n"
"\n"
"Answer 'No' if ROM-DOS will boot and run from ROM, Flash\n"
"or other memory, as a BIOS extension.\n";

char askDiskBoot[] =
"Will ROM-DOS boot from Floppy/Hard disk? ";
char defDiskBoot[] = "YN";
//-------------------------------------------------
char msgBuiltDisk[]=
"\n"
"ROM-DOS has now been built for a Floppy/Hard disk system.\n"
"It takes %dK (%lu bytes) of disk space.\n"
"\n"
"The files ROM-DOS.SYS and COMMAND.COM (ROM-DOS.SYS was\n"
"created by this build, COMMAND.COM should be found in the\n"
"current directory) are used by Datalight's SYS and FORMAT\n"
"utilities to create bootable Floppy/Hard disks.\n"
"\n"
"Type \"SYS A:\" or \"FORMAT A:/S\" to make a bootable floppy.\n";

//-------------------------------------------------
char msgBinary[] =
"\n"
"Binary files are just that: the actual bytes of ROM-DOS code\n"
"and data.  Most PROM programmers can accept binary image files.\n"
"\n"
"Intel HEX files are an ASCII representation of the bytes in\n"
"a record format.  Some PROM programmers require Intel HEX files\n"
"for input.  Check the manual for your PROM programmer.\n";

char askBinary[] = "Create Binary or Intel HEX file(s) as output (B/H): ";
char defBinary[] = "BH";
//-------------------------------------------------
char msgSplit[] =
"\n"
"A 16 or 32 bit bus will often use 'Split' ROMs to simplify\n"
"and speed address decoding.  One ROM is intended to contain\n"
"all the even bytes (byte 0,2,4,etc..) and the other ROM\n"
"contains the odd bytes.\n"
"\n"
"If you are unsure if your target system requires split ROMs\n"
"or not, choose 'No'.\n";

char askSplit[] = "Split the output into Odd byte and Even byte files? ";
char defSplit[] = "NY";
//-------------------------------------------------
char msgBuiltROM[] =
"\n"
"%s\n"
"\n"
"ROM-DOS has now been Built to boot from ROM.  This\n"
"version of ROM-DOS requires %dK (%lu bytes) of ROM and\n"
"can reside at any address between C000:0 and F000:0.\n"
"The ROM-DOS data will reside at %X:0.\n"
"\n"
"ROM-DOS is 100%% relocatable so the PROM can be moved\n"
"to any address without burning another image.\n"
"\n"
"However, ROM-DOS in ROM boots via BIOS extension so\n"
"it MUST reside between the address C000:0 and F000:0\n"
"on a 2K boundary for the BIOS to recognize it.  See\n"
"the manual about BIOS extensions.\n";

char msgBuiltHexFile[] = "The file ROM-DOS.HEX has been created.";
char msgBuiltImgFile[] = "The file ROM-DOS.IMG has been created.";
char msgBuiltSplitFile[]   =
"The files ROM-DOS.EVN and ROM-DOS.ODD have been created.";

//-------------------------------------------------

//-------------------------------------------------
//				CUSTOM BUILD MESSAGES
//-------------------------------------------------

char msgCustom[] = "\nYou have chosen Custom-Build.\n";

//-------------------------------------------------
// Will ROM-DOS boot from Floppy/Hard disk? N
//-------------------------------------------------
char msgRamCopy[] =
"\n"
"You have chosen to run ROM-DOS out of ROM.\n"
"\n"
"ROM-DOS by default runs in place in ROM, using a very limited\n"
"amount of RAM for its data.  Occasionally for speed or other\n"
"purposes, it is useful to have ROM-DOS copy itself out of ROM\n"
"to run in RAM.\n"
"\n"
"It is important to note that ROMs are typically much slower\n"
"than RAMs.  If speed is an issue, copy ROM-DOS to RAM.\n";

char askRamCopy[] = "Copy ROM-DOS to RAM? ";
char defRamCopy[] = "NY";
char msgRamCopySeg[] = "Copy to what segment address in RAM (in hex)";
//-------------------------------------------------
//char msgCopyCodeAddress[] =
//"\n"
//"You've chosen to copy ROM-DOS from ROM to RAM.\n"
//"\n"
//"Now you must specify the ROM address where ROM-DOS will\n"
//"reside before it is copied to run in RAM.  It is best to\n"
//"specify an address between C000:0 and F000:0 on a 2K\n"
//"boundary.  This memory range is where a BIOS searches for\n"
//"BIOS extensions (the method used by ROM-DOS to gain control).\n";

//char msgCodeAddress[] =
//"\n"
//"ROM-DOS code is 100% relocatable; it can be moved,\n"
//"without rebuilding, to any place in ROM.  However,\n"
//"to serve as a reminder, please indicate the intended\n"
//"segment location in ROM for the ROM-DOS code.\n";

//char askCodeAddress[] = "Where in ROM shall ROM-DOS code reside";
//-------------------------------------------------
char msgDataAddress[] =
"\n"
"While ROM-DOS code is 100% relocatable, the data for\n"
"ROM-DOS must reside at some specific address.  This\n"
"is usually 70:0.  The data segment can be higher to\n"
"allow for unusual RAM configurations, but Datalight\n"
"does NOT recommend a lower address.\n";

char askDataAddress[] = "Where shall ROM-DOS data reside";
//-------------------------------------------------
char msgExcludeROMDISK[] =
"\n"
"A floppy/hard disk bootable ROM-DOS can boot slightly faster\n"
"and be made slightly smaller by excluding the ROM-DISK driver\n"
"that is built into ROM-DOS.  ROM-DOS will then no longer\n"
"recognize ROM-DISKs, unless of course a ROM-DISK device driver\n"
"is installed via CONFIG.SYS.\n";

char askExcludeROMDISK[] =
	"Include the built-in ROM-DISK driver in ROM-DOS? ";
char defExcludeROMDISK[] = "NY";
//-------------------------------------------------
char msgIncludeGeneric[] =
"\n"
"A customized memory disk may be built into ROM-DOS using the\n"
"Custom Disk Driver MEMDISK.  If you have placed MEMDISK.OBJ\n"
"and MEMPAGED.OBJ or some other implementation of the Generic\n"
"Disk Driver into USER.LIB, you may select select this\n"
"option.\n";

char askIncludeGeneric[] =
	"Include the Custom Memory Disk Driver? ";
char defIncludeGeneric[] = "NY";

#if 0
// We no longer include the compressed ROM-DISK
//-------------------------------------------------
char msg2ROMDISKs[] =
"\n"
"There are 2 kinds of ROM-DISKs that ROM-DOS understands: Standard\n"
"and Compressed.  A Compressed ROM-DISK typically achieves a 35% ROM\n"
"space savings over the Standard ROM-DISK, but at some reduction in\n"
"speed.\n"
"\n"
"Two distinct device drivers recognize these Compressed and Standard\n"
"ROM-DISKs.  The Compressed ROM-DISK driver does not recognize\n"
"Standard ROM-DISKs nor vice versa.  Include both drivers if you wish\n"
"to recognize both kinds of ROM-DISKs in your system.\n";

char askCompressed[] =
"Include Standard ROM-DISK, Compressed, Both or None (S,C,B,N)? ";
char defCompressed[] = "SCBN";
#endif

//-------------------------------------------------
char warnNoDisks[] =
"\n"
"Warning!  You must include either the Floppy/Hard disk driver,\n"
"the ROM-DISK driver or the Custom Memory Disk.  ROM-DOS\n"
"requires at least one built-in disk driver.\n";

//-------------------------------------------------
char msgSearchSeg[] =
"\n"
"The ROM-DOS built-in ROM-DISK driver searches memory for a valid\n"
"ROM-DISK signature, beginning at the default segment specified\n"
"in SYSGEN.ASM and continuing until the ROM-DISK is found or the\n"
"top of memory is reached (FFFF:0).  The default search segment\n"
"in SYSGEN.ASM, unless changed, is C000:0.\n";

char askSearchSeg[] =
"Do you want to change the default ROM-DISK search segment? ";
char defSearchSeg[] = "NY";
char getSearchSeg[] = "Start searching for a ROM-DISK at what segment";
//-------------------------------------------------
char msgBootDiag[] =
"\n"
"Boot diagnostics tell ROM-DOS to print various letters and\n"
"numbers to the BIOS as ROM-DOS boots, indicating the current\n"
"stage of the boot process.  These diagnostics are extremely\n"
"useful in tracking down boot failures.\n"
"\n"
"A complete description of boot diagnostics can be found in\n"
"the READ.ME and manual.\n";

char askBootDiag[] = "Do you want ROM-DOS boot diagnostics? ";
char defBootDiag[] = "YN";
//-------------------------------------------------
char msgNoFlop[] =
"\n"
"It is possible to save approximately 3K ROM/RAM space on\n"
"diskless systems by excluding the Floppy/Hard disk driver\n"
"from ROM-DOS in ROM.\n"
"\n"
"Note: this means that floppies and hard drives will NO\n"
"LONGER be accessible to ROM-DOS.\n";

char askNoFlop[] =
"Do you want to include the Floppy/Hard disk driver? ";
char defNoFlop[] = "YN";
//-------------------------------------------------
char msgTrustMe[] =
"\n"
"A fully compatible floppy/hard-disk driver insists all BIOS\n"
"drives have two FATs. But some devices, such as memory card\n"
"drives, may really have only one FAT. ROM-DOS can support\n"
"such special devices by sacrificing compatibility, always\n"
"believing the drive information in the Bios Parameter Block\n"
"(BPB) found on the disk.\n";

char askTrustMe[] =
"Always believe the BPB information? ";
char defTrustMe[]  = "NY";
//-------------------------------------------------
char msgBootDrive[] =
"\n"
"ROM-DOS, as it boots, must choose a default drive from which\n"
"to read CONFIG.SYS.  This drive can be related to a particular\n"
"device (ROM, floppy or hard disk), or a specific drive letter.\n"
"\n"
"Reading CONFIG.SYS off the ROM-DISK device is the most common\n"
"way to boot in embedded system.  By comparison, a desktop DOS\n"
"will read CONFIG.SYS from either the floppy or hard disk device.\n"
"\n"
"If you choose a specific drive letter, that drive (A:, B:...)\n"
"MUST be available through a built-in device.\n";

char askBootDrive[] = "Read CONFIG.SYS from a specific drive letter? ";
char defBootDrive[] = "NY";
char askBootDriveLetter[] = "Read CONFIG.SYS from which drive letter: ";
char defBootDriveLetter[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

char warnBootDevice[] =
"\n"
"Warning!  The Floppy and Hard disk device drivers are not\n"
"available due previous exclusion.  ROM-DOS in ROM will read\n"
"CONFIG.SYS off the ROM-DISK.\n";

char askBootDevice[] =
	"Read CONFIG.SYS from which device (ROM, Floppy, Hard)? ";
char defBootDevice[] = "RFH";
//-------------------------------------------------
char msgSuperscede[] =
"\n"
"Often times it is worthwhile to have the ability to override\n"
"ROM-DOS in ROM without burning another PROM, possibly to try\n"
"a new version of ROM-DOS or even another DOS for comparison.\n"
"This can be accomplished easily on systems that have access\n"
"to a floppy drive.\n"
"\n"
"Answer 'Yes' and the ROM-DOS system will behave like a PC: a\n"
"disk in the floppy drive will boot (or tell you no system is\n"
"on the disk).  Answer 'No' and ROM-DOS in ROM will always take\n"
"precedence, regardless of what is in the floppy drive.\n";

char askSuperscede[] = "Can a floppy disk superscede ROM-DOS in ROM? ";
char defSuperscede[] = "YN";
//-------------------------------------------------
// Do you wish to change the default ROM-DISK search segment? N
//-------------------------------------------------
// Start searching for a ROM-DISK at what segment [C000]:
//-------------------------------------------------
char msgRealTime[] =
"\n"
"ROM-DOS, like a desktop DOS, gets the TIME and DATE from\n"
"the BIOS tick count.  This has the disadvantage of being\n"
"out of synch with the Real Time Clock due to lost ticks.\n"
"\n"
"It is possible to use the Real Time Clock instead of the\n"
"BIOS ticks.  The only disadvantage here is that hundredths\n"
"of seconds are always 0.  For Real Time systems, we\n"
"recommend the RTC.\n";

char askRealTime[] = "Use Real Time Clock Exclusively? ";
char defRealTime[] = "NY";
//-------------------------------------------------
// Do you want ROM-DOS boot diagnostics? Y
//-------------------------------------------------
// Create Binary or Intel HEX file(s) as output (B/H):
//-------------------------------------------------
char msgExtended[] =
"\n"
"Some (a very few) PROM programmers require an Extended\n"
"(segment) Address in the Intel HEX files they process.\n"
"If you are unsure, leave this option off.  If your\n"
"PROM programmer complains, set this option.\n"
"\n"
"This does not affect whether ROM-DOS can be relocated.\n"
"ROM-DOS is still 100% relocatable.  It is merely a\n"
"convention for the PROM programmer.\n";

char askExtended[] = "Place an Extended Address in the Intel HEX file? ";
char defExtended[] = "NY";
char askExtendedSeg[] = "Place Extended Address at what segment";
//-------------------------------------------------
// Split the output into Odd byte and Even byte files? N
//-------------------------------------------------

//-------------------------------------------------
// Include the Boot Menu? N
//-------------------------------------------------
char msgBootMenu[] =
"\n"
"On systems with a keyboard capable of indicating the Alt key\n"
"status, a boot menu is available.  As ROM-DOS gains control, it\n"
"checks to see if the Alt key is pressed, and if so, presents a\n"
"menu with various boot options.  These options include the\n"
"ability to boot DOS from floppy or hard disk, or read CONFIG.SYS\n"
"from ROM, hard or floppy disk.\n";

char askBootMenu[] = "Include the Boot Menu? ";
char defBootMenu[] = "NY";

//-------------------------------------------------
//What level of CONFIG.SYS processing (None, 3, 5, 6, 7)? 6
//-------------------------------------------------
char msgCfgLevel6[] =
"\n"
"Choose the appropriate level of CONFIG.SYS processing.  The \"None\"\n"
"choice makes the smallest ROM-DOS Kernel, and does not open CONFIG.SYS.\n"
"This does NOT affect the version reported by ROM-DOS.\n"
"\n"
"DOS 3.31     BREAK     FILES     BUFFERS   LASTDRIVE   COUNTRY \n"
"             NEWFILE   DEVICE    REM       FCBS        SHELL   \n"
"DOS 5.0      DOS       INSTALL   STACKS                        \n"
"DOS 6.0      INCLUDE   [MENU]    NUMLOCK   SET         SWITCHES\n"
"";

char msgCfgLevel7[] =
"DOS 7.1      <same as DOS 6.0>                                 \n"
"";

char askCfgLevel7[] = "What level of CONFIG.SYS processing (None, 3, 5, 6, 7)? ";
char askCfgLevel6[] = "What level of CONFIG.SYS processing (None, 3, 5, 6)? ";
char defCfgLevel7[] = "7653N";
char defCfgLevel6[] = "653N";

char msgBAT[] =
"@echo This batch file will build ROM-DOS in exactly the same way\n"
"@echo that ROM-DOS was last built.  It includes all the options,\n"
"@echo assembles, links and locates that BUILD would normally perform.\n"
"\n";
