//
//   $Id: COMSTR.C 1.7 2002/10/15 20:08:46Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/********************************************************************
	$DOCMODULE:COMSTR.C

	Copyright (c) 1989-2002 Datalight, Inc.
	Datalight Confidential and Proprietary.
   All Rights Reserved.

	All the strings for COMMAND.EXE

	$DOCHISTORY
	07/16/1998 dg  Update to use datalght.h
	11/15/1988 dg  Created by Drew Gislason
*********************************************************************/
#define __FILENUM__ 5

// ansi includes
#include <dos.h>
#include <dir.h>

// datalight includes
#include "datalght.h"
#include "dostruct.h"
#include "dosdef.h"
#include "dllfn.h"
#include "command.h"
#include "comprot.h"

// the internal commands
struct cmds cmds[] =
{
	{ "BREAK", do_break },				{ "CALL", do_call },
	{ "CD", do_chdir },					{ "CHDIR", do_chdir },
	{ "CLS", do_cls },					{ "COPY", do_copy },
	{ "CTTY", do_ctty },					{ "DATE", do_date },
	{ "DEL", do_del },					{ "DIR", do_dir },
	{ "ECHO", do_echo },					{ "ERASE", do_del },
	{ "EXIT", do_exit },					{ "FOR", do_for },
	{ "GOTO", do_goto },					{ "HELP", do_help },
	{ "IF", 	do_if },						{ "LFNFOR", do_lfnfor },
	{ "LH", do_loadhigh },				{ "LOADHIGH", do_loadhigh },
	{ "MD", do_mkdir },					{ "MKDIR", do_mkdir },
	{ "PATH", do_path },					{ "PAUSE", do_pause },
	{ "PROMPT", do_prompt },			{ "RD", do_rmdir },
	{ "REM", do_rem },					{ "REN", do_rename },
	{ "RENAME", do_rename },			{ "RMDIR", do_rmdir },
	{ "SET", do_set },					{ "SHIFT", do_shift },
	{ "TIME", do_time },					{ "TRUENAME", do_truename },
	{ "TYPE", do_type },             { "VER", do_ver },
	{ "VERIFY", do_verify },         { "VOL", do_vol }
};
int MAX_CMD = sizeof(cmds)/sizeof(struct cmds);

#define COMMAND 1
#include "dosmsg.c"
int maxerr = sizeof(messages)/sizeof(char *);
