;
;   $Id: ataio.asm 1.2 2002/10/15 20:31:58Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
COMMENT ~
----------------------------------------------------------

   ATAIO.ASM  created 07/15/02  by Thom Denholm

   Copyright (c) 2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary

   ATA word port helper functions for ATABlockWrite & ATABlockRead

---------------------------------------------------------- ~
include datalght.inc
include dlerrcod.inc
include macros.inc

InitModel SMALL, pascal, use16

.Data

.Code
.186
	assume CS:_TEXT

COMMENT ~ prototype
void ata_put_sector(void far *src,unsigned len,unsigned ioport)
  This is a helper function for ATABlockWrite
  like the funtion it replaces, it has no error checking
END COMMENT ~

ProcBegin  ata_put_sector,public
ProcUses	ds,si,cx,dx
ProcArgs	@@lpSrc:dword, @@len:word, @@ioport:word
ProcSetup

   ; get the parameters
   ;
   MOV   CX, @@len
   MOV   DX, @@ioport
   LDS   SI, @@lpSrc

   ; Now do the work!
   ;
   CLD
   REP   OUTSW

   ; cleanup time!
   ;
ProcEnd


COMMENT ~ prototype
void ata_get_sector(void far *dst,unsigned len,unsigned ioport)
  This is a helper function for ATABlockRead
  like the funtion it replaces, it has no error checking
END COMMENT ~

ProcBegin  ata_get_sector,public
ProcUses	es,di,cx,dx
ProcArgs	@@lpDst:dword, @@len:word, @@ioport:word
ProcSetup

   ; get the parameters
   ;
   MOV   CX, @@len
   MOV   DX, @@ioport
   LES   DI, @@lpDst

   ; Now do the work!
   ;
   CLD
   REP   INSW

   ; cleanup time!
   ;
ProcEnd

   END
