#  $Id: example.ms 1.4 2003/03/20 18:32:36Z thomd Exp $
#
#  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#  Copyright (c) 1996-2003 Datalight, Inc.
#  All Rights Reserved
#
#  Datalight, Inc. is a Washington corporation located at:
#
#  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
#  Bothell, WA  98021                    Fax: +1.425.951.8094
#  USA                                   Http://www.datalight.com
#
#  This software, including without limitation all source code and
#  documentation, is the confidential, trade secret property of
#  Datalight, Inc., and is protected under the copyright laws of
#  the United States and other jurisdictions.  Portions of the
#  software may also be subject to one or more the following US
#  patents: US#5860082, US#6260156.
#
#  In addition to civil penalties for infringement of copyright
#  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#  penalties for violation of (a) the restrictions on circumvention
#  of copyright protection systems found in 17 U.S.C. 1201 and
#  (b) the protections for the integrity of copyright management
#  information found in 17 U.S.C. 1202.
#
#  U.S. Government Restricted Rights.  Use, duplication,
#  reproduction, or transfer of this commercial product and
#  accompanying documentation is restricted in accordance with
#  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
#  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
#  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#  THIS SOFTWARE IN ERROR.
#
#
# EXAMPLE.MS
# Copyright (c) 1996-2001 Datalight, Inc.
# Confidential and Proprietary
# All Rights Reserved
#
# Examples makefile for Microsoft Visual C++ 1.5x
#
# $DOCHISTORY
#  06/21/2001 jmb original revision
#
#

release : chat.exe mcchat.exe udpchat.exe stelnet.exe
	@if exist *.obj del *.obj

clean:
	@if exist *.obj del *.obj
	@if exist *.map del *.map

cleanall: clean
	@if exist *.exe del *.exe


CAPI_SRC = ..\capi\capi.c ..\capi\_capi.c
CFLAGS = -AL -Gs /I..\include

chat.exe: chat.c chat.pt
	cl $(CFLAGS) chat.c ..\lib\ms_capis.lib

mcchat.exe: mcchat.c mcchat.pt
	cl $(CFLAGS) mcchat.c ..\lib\ms_capis.lib

udpchat.exe: udpchat.c udpchat.pt
	cl $(CFLAGS) udpchat.c ..\lib\ms_capis.lib

stelnet.exe: stelnet.c
	cl $(CFLAGS) stelnet.c ..\lib\ms_socks.lib ..\lib\ms_capis.lib

.c.pt:
	proto $*.c >$*.pt
