//
//   $Id: USAGE.C 1.7 2003/07/17 16:39:12Z johnb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
//
// File: USAGE_P.C
//
// Copyright (c) 2001-2002 Datalight, Inc.
// All Rights Reserved
// Datalight Confidential and Proprietary
// Portions copyright (c) GPvNO 2001-2002
//
// Usage screen function for SOCKETP.EXE
// This function is called from MAIN.C
//
// History
//   04/26/2002  gvn removed /p parameter
//   05/04/2001  pb  Created
//

#pragma option -zAINETINIT
#pragma option -zFINETINIT

#include <stdio.h>
#include <stdlib.h>
#include "inetdefs.h"

void sumes(void);

#ifdef NOLIC
#ifdef ASYNC
#define PROGRAM "SOCKETM"
#else
#define PROGRAM "SOCKETP"
#endif
#else
#ifdef ASYNC
#define PROGRAM "SOCKETMD"
#else
#define PROGRAM "SOCKETPD"
#endif
#endif

char far szfUsage[] =

#ifdef TEST_REVERSE_VIDEO
"\x1"
#endif
PROGRAM" [cfgfile] [/n=normal_sockets] [/I=CAPI Int] [/d=dos_sockets]\n"
"        [/m=memory_size] [/p] [/s=stack_size] [/v=Sockets_int] [/q] [/u]\n\n"
#ifdef TEST_REVERSE_VIDEO
"\x2 \n"
#endif
"cfgfile  Specifies the name of the configuration file to use.\n"
"/a       Enables multi-cast.\n"
"/d       The number of DOS compatible sockets to reserve for use by the CAPI.\n"
"/i       Changes the interrupt value of the CAPI.\n"
"/m       Specifies the working memory for Sockets.\n"
"/n       The number of normal sockets to reserve for use by the CAPI.\n"
"/p       Sets the minimum allocation from the packet driver to 64 bytes.\n"
"/q       Loads Sockets without displaying any diagnostics.\n"
"/r       No Reverse video.\n"
"/s       Specifies the stack size used by Sockets.\n"
"/u       Unloads Sockets.\n"
"/v       Changes the Sockets API.\n"
"/0       Instructs Sockets to not save and restore the register set of a\n"
"         386 processor.\n";

void Usage()
{
	sumes();
	printf("%Fs",szfUsage);

	exit(0);
}
