#
#   $Id: httpstat.mak 1.1 2003/05/21 23:37:08Z johnb Exp $
#
#   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#   Copyright (c) 1993 - 2002 Datalight, Inc.
#   All Rights Reserved
#
#   Datalight, Inc. is a Washington corporation with an address at
#   21520 30TH DR SE MS110 Bothell, WA, 98021
#   Tel: 800.221.6630  Fax: 425.951.8091
#   Http://www.datalight.com
#
#   This software, including without limitation all source code and
#   documentation, is the confidential, trade secret property of
#   Datalight, Inc., and is protected under the copyright laws of
#   the United States and other jurisdictions. Portions of the
#   software may also be subject to one or more the following US
#   patents: US#5860082, US#6260156.
#
#   In addition to civil penalties for infringement of copyright
#   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#   penalties for violation of (a) the restrictions on circumvention
#   of copyright protection systems found in 17 U.S.C. 1201 and
#   (b) the protections for the integrity of copyright management
#   information found in 17 U.S.C. 1202.
#
#   U.S. Government Restricted Rights. Use, duplication,
#   reproduction, or transfer of this commercial product and
#   accompanying documentation is restricted in accordance with
#   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
#   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
#   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#   THIS SOFTWARE IN ERROR.
#
#
# HTTPSTAT.EXE Makefile
# Copyright (c) 2001 Datalight, Inc.
# All Rights Reserved
# Datalight Confidential and Proprietary
#
# Revision History
# 05/21/2003 jmb original revision
#
.AUTODEPEND

all:	httpstat
	@if exist ..\httpstat.exe del ..\httpstat.exe >nul
	@copy httpstat.exe ..\httpstat.exe >nul
	@copy httpstat.c ..\httpstat.c >nul



clean:
	@echo Cleaning HTTPSTAT
	@if exist httpstat.cfg del httpstat.cfg
	@if exist *.obj del *.obj
	@if exist httpstat.map del httpstat.map

cleanall: clean
	@if exist httpstat.exe del httpstat.exe


#
# Borland C++ tools
#
CC  = Bcc
TLINK   = TLink
#
# IDE macros
#


#
# Options
#
LFLAGS = $(RD_SW_L) -c -Tde -x
CFLAGS = $(RD_SW) -I..\..\include;..\..\..\include -DDL
STARTUP= c0m.obj
LIBS   = noehm.lib+cm.lib+..\..\..\lib\dlm.lib

#
# Dependency List
#
httpstat : httpstat.cfg httpstat.exe

httpstat.exe : httpstat.obj cgiadap.obj
  $(TLINK)  /v $(LFLAGS) @&&|
	$(STARTUP)+httpstat.obj+cgiadap.obj
	$<,$*
	$(LIBS)
|

cgiadap.obj : ..\..\server\cgi\cgiadap.c
  $(CC) -P- -c @httpstat.cfg @&&|
	$(CFLAGS) -o$@ ..\..\server\cgi\cgiadap.c
|

httpstat.obj :  httpstat.c
  $(CC) -P- -c @httpstat.cfg @&&|
	$(CFLAGS) -o$@ httpstat.c
|

# Compiler configuration file
httpstat.cfg :
   Copy &&|
-W-
-w
#-R
#-v
-vi
-mm
-f-
-x-
-xp-
-xd-
-xc-
-xf-
-RT-
-1-
-H=
-H-
| $@


