#
#   $Id: XPING.MAK 1.3 2002/10/16 21:32:54Z peterb Exp $
#
#   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#   Copyright (c) 1993 - 2002 Datalight, Inc.
#   All Rights Reserved
#
#   Datalight, Inc. is a Washington corporation with an address at
#   21520 30TH DR SE MS110 Bothell, WA, 98021
#   Tel: 800.221.6630  Fax: 425.951.8091
#   Http://www.datalight.com
#
#   This software, including without limitation all source code and
#   documentation, is the confidential, trade secret property of
#   Datalight, Inc., and is protected under the copyright laws of
#   the United States and other jurisdictions. Portions of the
#   software may also be subject to one or more the following US
#   patents: US#5860082, US#6260156.
#
#   In addition to civil penalties for infringement of copyright
#   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#   penalties for violation of (a) the restrictions on circumvention
#   of copyright protection systems found in 17 U.S.C. 1201 and
#   (b) the protections for the integrity of copyright management
#   information found in 17 U.S.C. 1202.
#
#   U.S. Government Restricted Rights. Use, duplication,
#   reproduction, or transfer of this commercial product and
#   accompanying documentation is restricted in accordance with
#   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
#   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
#   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#   THIS SOFTWARE IN ERROR.
#
#
# XPING.EXE Makefile
# Copyright (c) 2001 Datalight, Inc.
# All Rights Reserved
# Datalight Confidential and Proprietary
#
# Revision History
# 06/21/2001 jmb added cleanall target
# 04/03/2001 jmb Ported from a Borland C++ Generated makefile
#
.AUTODEPEND


all:	xping
	@if exist ..\xping.exe del ..\xping.exe >nul
	@if exist ..\xping.c   del ..\xping.c >nul
	@copy xping.exe ..\xping.exe >nul
	@copy xping.c   ..\xping.c >nul


clean:
	@echo Cleaning XPING
	@if exist xping.cfg del xping.cfg >nul
	@if exist xping.obj del xping.obj >nul
	@if exist xping.map del xping.map >nul

cleanall: clean
	@if exist xping.exe del xping.exe >nul

#
# Borland C++ tools
#
CC = Bcc
TLINK  = TLink

#
# Options
#
LFLAGS  = $(RD_SW_L) -c -Tde -x
CFLAGS  = $(RD_SW) -P- -c -I..\..\INCLUDE;
STARTUP = c0s.obj
LIBS    = noehs.lib+cs.lib

#
# Dependency List
#
xping : xping.cfg xping.exe

xping.exe : xping.obj
  $(TLINK) /v $(LFLAGS) @&&|
	$(STARTUP)+xping.obj
	$<,$*
	$(LIBS)
|


xping.obj :  xping.c
  $(CC) @xping.cfg @&&|
	$(CFLAGS) -o$@ xping.c
|

# Compiler configuration file
xping.cfg :
   Copy &&|
-W-				# ?
-w				# display warnings on
#-R				# produce browser info
#-v				# source level debugging
-vi				# control expansion of inline functions
-H				# use pre-compiled headers
-H=xping.csm			# use pre-compiled header file
-K				# default character unsigned
#-d				# merge duplicate strings (default)
-C				# enable nested comments
-1-				# generate 8086 instructions
-ms				# memory model small
-f-				# no floating point
-x-				# disable exception handling
-xp-				# disable exception location information
-xd-				# disable destructor cleanup
-xc-				# disable compatible exception handling
-xf-				# disable fast exception prologs
-RT-				# disable runtime type information
-H-				# disable pre-compiled headers
| $@


