//
//   $Id: PROTO.H 1.2 2002/10/16 21:57:04Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/* PROTO  Version 1.00 */

/* File POWER.C */
/* power.c */
void Install(void);
void UnInstall(void);
void do_args(char far *cmd_line);
void power_restore(void);
void do_command(void);
int atoi(const char * str);
scale_time(unsigned time);
long RealTime2Ticks();
int PWR_Installed(void);
void PWR_GetStatTable(struct PowerStat *S);
int PWR_GetAPMSetting(void);
void PWR_UnLoad(void);
void ShowPMStatus(void);


/* File POWMSG.C */

/* File POWERR.C */
void message(int msg, ...);
void error(int msg, ...);
void fat_error(int msg, ...);


/* File POWMISC.C */
void touch_disk();
void try_1600();
void try_1601();
void try_1610();
void try_1611();
void try_16_2();
void dump(unsigned char *buffer, unsigned count);
int spawn(int mode, char *name, char *name2, char *args);
int exec(char *cmd, char *cmd_tail, unsigned env_seg, struct fcb *fcb1, struct fcb *fcb2, unsigned sub_func);
DOS_get_str();


/* File POWPRINT.C */
void printf(char *fmt,...);
void puts(char *s);
void putc(char c);
void bputs(char *s);
void bputc(char c);
void keep(unsigned char stat, unsigned paras);
char *itoa(int numb, char *buffer, int radix);


// POWASM.ASM
//
unsigned APM_Installed(void);
int APM_Disconnect(void);
int APM_SetPowerState(unsigned Device, unsigned State);
int APM_GetStatus(void);
void SetTicks();

// ST.ASM
//
void exit(int);

/* Proto v1.04 */

/* dosmath.asm */
ulong PASCAL _lshru(ulong l, unsigned u);
ulong PASCAL _lshlu(ulong l, unsigned u);
ulong PASCAL _lmulu(ulong l, unsigned u);
unsigned PASCAL _ldivu(ulong ul, unsigned u);
ulong _ldiv(ulong l1, ulong l2);
void PASCAL memmove(void *to,void *from,unsigned len);
void PASCAL fmemmove(void far *dst,void far *src,unsigned len);
void PASCAL memset(void *dst,uchar val,unsigned len);
void PASCAL fmemset(void far *dst,uchar val,unsigned len);
bool PASCAL memcmp(char *str1,char *str2,unsigned len);
bool PASCAL fmemcmp(char far *str1,char far *str2,unsigned len);
int PASCAL strlen(char *s);
int PASCAL fstrlen(char far * s);
/* Proto v1.04 */

